package com.prolog.cs.biz.inbound.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * 收货行/质检行/复检行/拒收行/异常行 查询条件
 * 
 * @author Xiong
 *
 */
@ApiModel
public class LineQueryVO implements Serializable {

	private static final long serialVersionUID = -1445511587830940967L;

	@ApiModelProperty(value = "收货单头主键id", required = true)
	private String rcvHeaderId;

	@ApiModelProperty(value = "商品ID")
	private String itemId;

	@ApiModelProperty(value = "商品编号(右模糊)")
	private String itemCode;

	@ApiModelProperty(value = "商品名称(全模糊)")
	private String itemName;

	@ApiModelProperty(value = "商品助记码(右模糊)")
	private String itemZjm;

	@ApiModelProperty(value = "生产批号(右模糊)")
	private String manufacturerLotNum;

	public String getRcvHeaderId() {
		return rcvHeaderId;
	}

	public void setRcvHeaderId(String rcvHeaderId) {
		this.rcvHeaderId = rcvHeaderId;
	}

	public String getItemId() {
		return itemId;
	}

	public void setItemId(String itemId) {
		this.itemId = itemId;
	}

	public String getItemCode() {
		return itemCode;
	}

	public void setItemCode(String itemCode) {
		this.itemCode = itemCode;
	}

	public String getItemName() {
		return itemName;
	}

	public void setItemName(String itemName) {
		this.itemName = itemName;
	}

	public String getItemZjm() {
		return itemZjm;
	}

	public void setItemZjm(String itemZjm) {
		this.itemZjm = itemZjm;
	}

	public String getManufacturerLotNum() {
		return manufacturerLotNum;
	}

	public void setManufacturerLotNum(String manufacturerLotNum) {
		this.manufacturerLotNum = manufacturerLotNum;
	}

}
